[4.0] Warning: Progress Patch


(system) #1
I'm with Wendy! If it ain't broke don't fix it.
And I don't agree with the statement, "Its always good to upgrade to the
latest patch."
This is very often the line that Tech Support will give you if they have no
idea what's causing your problem.
Shoot, I don't even like patching the program unless they can show me that
my specific error is fixed by that patch and that others are running with no
problems. On more than one occasion both Epicor and Progress have issued
patches that were worse than the existing problems.

Having said all that (this is the "do what I say, not what I do" part):

I have been having some odd errors with the Progress database running the
data collection gateway; I've been getting a low-level database error (Error
2: bfblnd - no ar active). You are NEVER supposed to be able to get this
error, but don't tell that to my data collection PC. Anyway, the techs at
Progress told me to download the latest Progress patch so last week I
installed 9.0B34 even though Epicor isn't recommending it yet.

Now I find out (the hard way) that any Progress patch greater than 9.0B30
will not let you open any existing Report Builder reports from Report
Builder. You can still run them from Vantage, and you can create new
reports in Report Builder - you just can't reopen them once they've been
closed. Progress is now working on a patch to fix this.

I did find a work-around: if you paid for AppBuilder (which allows you to
develop Progress programs) you can get to Report Builder from the Tools
menu. From there you can open one report before it stops allowing you to
open any reports. If you want to open a second report you have to end that
Report Builder session and start a new one (where you can open only one
report).

Bottom Line: don't install any Progress patch past 9.0B30 unless you know
that the Report Builder problem has been resolved.
================
Steve Sanders
Delta Centrifugal Corp.